MyGUI: MyGUI::UString::_const_rev_iterator Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
MyGUI::UString::_const_rev_iterator Class Reference

const reverse iterator for UString More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::_const_rev_iterator:
[legend]

## Public Member Functions
| _const_rev_iterator ()
| _const_rev_iterator (const _const_rev_iterator &i)
| _const_rev_iterator (const _rev_iterator &i)
_const_rev_iterator & | operator++ ()
| pre-increment
_const_rev_iterator | operator++ (int)
| post-increment
_const_rev_iterator & | operator-- ()
| pre-decrement
_const_rev_iterator | operator-- (int)
| post-decrement
_const_rev_iterator | operator+ (difference_type n)
| addition operator
_const_rev_iterator | operator- (difference_type n)
| subtraction operator
_const_rev_iterator & | operator+= (difference_type n)
| addition assignment operator
_const_rev_iterator & | operator-= (difference_type n)
| subtraction assignment operator
const value_type & | operator* () const
| dereference operator
const value_type & | operator[] (difference_type n) const
| dereference at offset operator

## Friends
size_type | operator- (const _const_rev_iterator &left, const _const_rev_iterator &right)
| difference operator
bool | operator== (const _const_rev_iterator &left, const _const_rev_iterator &right)
| equality operator
bool | operator!= (const _const_rev_iterator &left, const _const_rev_iterator &right)
| inequality operator
bool | operator< (const _const_rev_iterator &left, const _const_rev_iterator &right)
| less than
bool | operator<= (const _const_rev_iterator &left, const _const_rev_iterator &right)
| less than or equal
bool | operator> (const _const_rev_iterator &left, const _const_rev_iterator &right)
| greater than
bool | operator>= (const _const_rev_iterator &left, const _const_rev_iterator &right)
| greater than or equal

## Additional Inherited Members
Protected Types inherited from MyGUI::UString::_base_iterator
typedef ptrdiff_t | difference_type
Protected Member Functions inherited from MyGUI::UString::_base_iterator
| _base_iterator ()
void | _seekFwd (size_type c)
void | _seekRev (size_type c)
void | _become (const _base_iterator &i)
bool | _test_begin () const
bool | _test_end () const
size_type | _get_index () const
void | _jump_to (size_type index)
unicode_char | _getCharacter () const
int | _setCharacter (unicode_char uc)
void | _moveNext ()
void | _movePrev ()
Protected Attributes inherited from MyGUI::UString::_base_iterator
dstring::iterator | mIter
UString * | mString

## Detailed Description

const reverse iterator for UString

Definition at line 367 of file MyGUI_UString.h.

## Constructor & Destructor Documentation

## ◆ _const_rev_iterator() [1/3]

MyGUI::UString::_const_rev_iterator::_const_rev_iterator | ( |  | ) |
| default

## ◆ _const_rev_iterator() [2/3]

MyGUI::UString::_const_rev_iterator::_const_rev_iterator | ( | const _const_rev_iterator & | i | ) |

Definition at line 419 of file MyGUI_UString.cpp.

## ◆ _const_rev_iterator() [3/3]

MyGUI::UString::_const_rev_iterator::_const_rev_iterator | ( | const _rev_iterator & | i | ) |

Definition at line 424 of file MyGUI_UString.cpp.

## Member Function Documentation

## ◆ operator*()

const UString::value_type & MyGUI::UString::_const_rev_iterator::operator* | ( |  | ) | const

dereference operator

Definition at line 493 of file MyGUI_UString.cpp.

## ◆ operator+()

UString::_const_rev_iterator MyGUI::UString::_const_rev_iterator::operator+ | ( | difference_type | n | ) |

addition operator

Definition at line 455 of file MyGUI_UString.cpp.

## ◆ operator++() [1/2]

UString::_const_rev_iterator & MyGUI::UString::_const_rev_iterator::operator++ | ( |  | ) |

pre-increment

Definition at line 429 of file MyGUI_UString.cpp.

## ◆ operator++() [2/2]

UString::_const_rev_iterator MyGUI::UString::_const_rev_iterator::operator++ | ( | int |  | ) |

post-increment

Definition at line 435 of file MyGUI_UString.cpp.

## ◆ operator+=()

UString::_const_rev_iterator & MyGUI::UString::_const_rev_iterator::operator+= | ( | difference_type | n | ) |

addition assignment operator

Definition at line 475 of file MyGUI_UString.cpp.

## ◆ operator-()

UString::_const_rev_iterator MyGUI::UString::_const_rev_iterator::operator- | ( | difference_type | n | ) |

subtraction operator

Definition at line 465 of file MyGUI_UString.cpp.

## ◆ operator--() [1/2]

UString::_const_rev_iterator & MyGUI::UString::_const_rev_iterator::operator-- | ( |  | ) |

pre-decrement

Definition at line 442 of file MyGUI_UString.cpp.

## ◆ operator--() [2/2]

UString::_const_rev_iterator MyGUI::UString::_const_rev_iterator::operator-- | ( | int |  | ) |

post-decrement

Definition at line 448 of file MyGUI_UString.cpp.

## ◆ operator-=()

UString::_const_rev_iterator & MyGUI::UString::_const_rev_iterator::operator-= | ( | difference_type | n | ) |

subtraction assignment operator

Definition at line 484 of file MyGUI_UString.cpp.

## ◆ operator[]()

const UString::value_type & MyGUI::UString::_const_rev_iterator::operator[] | ( | difference_type | n | ) | const

dereference at offset operator

Definition at line 498 of file MyGUI_UString.cpp.

## Friends And Related Symbol Documentation

## ◆ operator!=

bool operator!= | ( | const _const_rev_iterator & | left,
|  | const _const_rev_iterator & | right )
| friend

inequality operator

Definition at line 1067 of file MyGUI_UString.h.

## ◆ operator-

size_type operator- | ( | const _const_rev_iterator & | left,
|  | const _const_rev_iterator & | right )
| friend

difference operator

Definition at line 1061 of file MyGUI_UString.h.

## ◆ operator<

bool operator< | ( | const _const_rev_iterator & | left,
|  | const _const_rev_iterator & | right )
| friend

less than

Definition at line 1070 of file MyGUI_UString.h.

## ◆ operator<=

bool operator<= | ( | const _const_rev_iterator & | left,
|  | const _const_rev_iterator & | right )
| friend

less than or equal

Definition at line 1073 of file MyGUI_UString.h.

## ◆ operator==

bool operator== | ( | const _const_rev_iterator & | left,
|  | const _const_rev_iterator & | right )
| friend

equality operator

Definition at line 1064 of file MyGUI_UString.h.

## ◆ operator>

bool operator> | ( | const _const_rev_iterator & | left,
|  | const _const_rev_iterator & | right )
| friend

greater than

Definition at line 1076 of file MyGUI_UString.h.

## ◆ operator>=

bool operator>= | ( | const _const_rev_iterator & | left,
|  | const _const_rev_iterator & | right )
| friend

greater than or equal

Definition at line 1079 of file MyGUI_UString.h.

The documentation for this class was generated from the following files:

- MyGUI_UString.h
- MyGUI_UString.cpp